Subject: Re: [PATCH 3/3] rev-list: add --allow-missing-tips to be used with --missing=...

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Feb 2024 08:34:22 -0800

Linus Arver <[email-masked]> writes:

> IOW, make the minority (certainly not majority, I think?) of users who
> really need the error propagation use the (new) extra flag, while the
> rest of us (including the version of you who was surprised by the
> limited behavior of "--missing=...", enough to write this series) don't
> have to.

I am skeptical that we even want that.  Those who want to use the
"--missing" and care about special casing missing starting points
can easily check with things like "cat-file -e" before even running
the "rev-list --missing".